cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/backups-config \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"enabled":true,"frequency_minutes":60,"retention_days":7}'{
"enabled": true,
"frequency_minutes": 60,
"retention_days": 7
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Update the backup configuration for a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
PATCH
/
api
/
v1
/
clusters
/
{cluster_id}
/
backups-config
cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/backups-config \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"enabled":true,"frequency_minutes":60,"retention_days":7}'{
"enabled": true,
"frequency_minutes": 60,
"retention_days": 7
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the cluster that this backup configuration belongs to.
Body
application/json
spec contains the information that is being updated for the given BackupConfiguration.
Indicates whether backups are enabled.
The number of days to retain backups for. Can only be set once, further changes require opening a support ticket. Valid values are [2, 7, 30, 90, 365].
Response
A successful response.

